/**
 *
 * Openutils testing4web (http://www.openmindlab.com/lab/products/testing4web.html)
 * Copyright(C) 2008-2010, Openmind S.r.l. http://www.openmindonline.it
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package net.sourceforge.openutils.testing4web;

import org.testng.Assert;
import org.testng.annotations.AfterClass;
import org.testng.annotations.BeforeClass;


/**
 * Base TestCase class for jsp/web tests, testng flavor.
 * @author fgiust
 * @version $Id: BaseJspTestngEmbeddedTest.java 2054 2010-02-24 22:25:38Z fgiust $
 */
public abstract class BaseJspTestngEmbeddedTest extends BaseJspEmbeddedTest
{

    /**
     * {@inheritDoc}
     */
    @Override
    @BeforeClass
    public void setUp() throws Exception
    {
        super.setUp();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    @AfterClass
    public void tearDown()
    {
        super.tearDown();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    protected void assertEquals(String expected, String actual)
    {
        Assert.assertEquals(actual, expected);
    }

}
